Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::GObjectAccessible Class Reference

An AtkGObjectAccessible C++ wrapper class. More...

`#include <inti/atk/gobjectaccessible.h>`

Inheritance diagram for Inti::Atk::GObjectAccessible:

List of all members.

## Public Member Functions

Constructors

- virtual ~GObjectAccessible ()
    Destructor.

Accessors

- AtkGObjectAccessible * atk_gobject_accessible () const
    Get a pointer to the AtkGObjectAccessible structure.
- AtkGObjectAccessibleClass * atk_gobject_accessible_class () const
    Get a pointer to the AtkGObjectAccessibleClass structure.
- operator AtkGObjectAccessible * () const
    Conversion operator; safely converts a GObjectAccessible to an AtkGObjectAccessible pointer.
- G::Object * get_object () const
    Gets the G::Object for this accessible object.

## Static Public Member Functions

- Object * for_object (G::Object &object)
    Gets the accessible object for the specified G::Object.

## Protected Member Functions

Constructors

- GObjectAccessible (AtkGObjectAccessible *object, bool reference=true)
    Construct a new GObjectAccessible from an existing AtkGObjectAccessible.

## Detailed Description

An AtkGObjectAccessible C++ wrapper class.

This object class is derived from Atk::Object. It can be used as a basis for implementing accessible objects for G::Objects which are not derived from Gtk::Widget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

## Constructor & Destructor Documentation

Inti::Atk::GObjectAccessible::GObjectAccessible | ( | AtkGObjectAccessible * | object,
|  | bool | reference = true
| ) | `[explicit, protected]`

  | Construct a new GObjectAccessible from an existing AtkGObjectAccessible. Parameters:
  object | A pointer to a AtkGObjectAccessible.
  reference | Set false if the initial reference count is floating, set true if it's not.
The object can be a newly created AtkGObjectAccessible or an existing AtkGObjectAccessible. (see G::Object::Object).

## Member Function Documentation

Object* Inti::Atk::GObjectAccessible::for_object | ( | G::Object & | object | ) | `[static]`

  | Gets the accessible object for the specified G::Object. Parameters:
  object | A G::Object.
Returns: An Atk::Object which is the accessible object for object.

G::Object* Inti::Atk::GObjectAccessible::get_object | ( |  | ) | const

| Gets the G::Object for this accessible object. Returns: A G::Object which is the object for this accessible object.

The documentation for this class was generated from the following file:

- gobjectaccessible.h

Main Page - Footer